Page 1 of 2

LiveCode doesn't work on Linux (Debian Jessie)

Posted: Thu Mar 16, 2017 11:35 am
by berserk
Hello everyone.
I just downloaded LC 8 and installed, everything went fine.
As I open it, I choose to attend the interactive tour, but it won't display any text or nothing.
I then tried to create a new Stack, but as I try adding whatever widget to the window, nothing happens.
What am I doing wrong?

Thanks in advance for any help.

Bye, Berserk.

Re: LiveCode doesn't work on Linux (Debian Jessie)

Posted: Thu Mar 16, 2017 12:04 pm
by Klaus
Hi Berserk,

1. welcome to the forum! :D

2. Since we have a dedicated LINUX forum, I will move this thread there.
I do not use Linux, so I cannot be of any help, sorry.

3. Please add some more info:
What Linux distro are you using and what version of Livecode?


Best

Klaus

Re: LiveCode doesn't work on Linux (Debian Jessie)

Posted: Thu Mar 16, 2017 12:55 pm
by berserk
Hello there.
Yes, I noticed the Linux section, but the description says it's for deployment and I thought it wasn't the right section.
My distro is in the thread title (Debian Jessie) but I forgot to mention I'm using the 64 bit version.
LiveCode version is 8, freshly downloaded today.

Bye, Berserk.

Re: LiveCode doesn't work on Linux (Debian Jessie)

Posted: Thu Mar 16, 2017 3:15 pm
by andrewferguson
I've been running LiveCode 8 and 9 on Debian 8.7 (Jessie) for a few months now with no issues.

My specs:
Debian 8.7 64-bit
LXDE Desktop environment
Intel(R) Core(TM) i5-2430M CPU @ 2.40GHz
4 GB RAM

From the issues you are having (text and widgets not appearing), it seems that perhaps one of your system libraries is not compatible with LiveCode. You can find the exact Linux system requirements on page 3 of the LiveCode User Guide - http://livecodestatic.com/downloads/liv ... -8_1_3.pdf (this is for LC 8.1.3, see here for different versions / release notes).

Look and see if there are any differences between the LC requirements and your libraries. If not, come back here and we'll try something else.

Re: LiveCode doesn't work on Linux (Debian Jessie)

Posted: Thu Mar 16, 2017 6:39 pm
by berserk
As reported in the document you linked to me, if I successfully run Chrome and/or Firefox, I have all deps installed.
This is the case, as I have both.
Then, somewhere it says it needs JDK 8, I installed it, but nothing changed.
I'm running Debian Jessie 8.7 64 bit with Mate, Intel core duo quad with 8 gb RAM.

Thanks anyhow.

Re: LiveCode doesn't work on Linux (Debian Jessie)

Posted: Thu Mar 16, 2017 8:34 pm
by FourthWorld
JDK is only needed when building apps for Android.

To better assess the problem, is anything else not working other than the tutorial?

FWIW I use LC on Ubuntu daily, so even if we find an issue with the tutorial I'm sure we can get you up and running with LiveCode on Linux well.

Re: LiveCode doesn't work on Linux (Debian Jessie)

Posted: Fri Mar 17, 2017 6:07 am
by berserk
As I said earlyer, as I create a new stack and put widgets on the sheet, nothing happens.

Re: LiveCode doesn't work on Linux (Debian Jessie)

Posted: Fri Mar 17, 2017 8:17 am
by berserk
Nevermind, I were using LiveCode for evaluating purposes.
I found QtCreator is way better, I'll uninstall LC.

Bye, Berserk.

Re: LiveCode doesn't work on Linux (Debian Jessie)

Posted: Fri Mar 17, 2017 6:45 pm
by FourthWorld
QtCreator is a great toolkit for developing Linux apps. I have many friends in the Ubuntu community who enjoy it.

If you ever decide to give LiveCode another try, given the variety of Debian-based systems I use it on (Lubuntu, Raspian, and the last three Ubuntu LTSes along with Ubuntu Core) I'm pretty sure we could figure out what happened with the widget inclusions in your install.

Re: LiveCode doesn't work on Linux (Debian Jessie)

Posted: Fri Mar 24, 2017 12:32 am
by MaxV
Hey, wait, Livecode is much better than QTcreator, use this http://www.maxvessi.net/livecode/public ... uncher.zip

Some distros, starting from version 8, need:

Code: Select all

export LC_ALL= LC_NUMERIC=C 
export LIBGL_DRI3_DISABLE=1
I just uploaded version 2. In the ZIP you'll find the linux program to launch correctly livecode and the source that I used to write the launcher.

Re: LiveCode doesn't work on Linux (Debian Jessie)

Posted: Fri Mar 24, 2017 1:24 am
by FourthWorld
What do those flags mean?

Re: LiveCode doesn't work on Linux (Debian Jessie)

Posted: Fri Mar 24, 2017 2:08 am
by MaxV
Well, it's a solution for many browsers and softwares on linux. I just tried and works. :twisted:
LC_ALL is the environment variable that overrides all the other localization settings.
LC_NUMERIC selects the numeric formatting category of the C locale

So the first command set the locale to the livecode locale. Widget are so strict that a different locales means problems.

LIBGL_DRI3_DISABLE disable DRI3 (Direct rendering version 3), any value activate this flag, so 1 means nothing. It could be 2 or "hello world".

Re: LiveCode doesn't work on Linux (Debian Jessie)

Posted: Fri Mar 24, 2017 2:18 pm
by FourthWorld
Is there some way the need for those extra settings could be determined by the engine at startup?

Re: LiveCode doesn't work on Linux (Debian Jessie)

Posted: Fri Sep 22, 2017 10:44 pm
by bogs
FourthWorld wrote:Is there some way the need for those extra settings could be determined by the engine at startup?
Curious to know if you ever came up with an answer to that question ? Seems a test would be helpful.

Re: LiveCode doesn't work on Linux (Debian Jessie)

Posted: Fri Sep 22, 2017 11:09 pm
by FourthWorld
bogs wrote:
FourthWorld wrote:Is there some way the need for those extra settings could be determined by the engine at startup?
Curious to know if you ever came up with an answer to that question ? Seems a test would be helpful.
Yes, it would be helpful if anyone experiencing the issue could help. I run LC on Ubuntu, and although that's Debian-base LC works great on multiple machines each running a different Ubuntu version. I even have one box running Lubuntu and LC is fine there too.